### mate-applets 1.27.0

  * tx: sync with transifex
  * tx: migrate config file
  * configure.ac: The macro 'AC_HELP_STRING' is obsolete
  * stickynotes: bump gtksourceview 4
  * cpufreq: Add data dir
  * trashapplet: Add data dir
  * command: fix -Wincompatible-pointer-types warning (#631)
  * Use dashes instead of underscores in signal names
  * travis: drop wireless-tools-devel
  * build warning: AC_OUTPUT should be used without arguments (#630)
  * battstat: present is bistate, charging and acline_status are tristate
  * battstat/battstat-upower.h: missing error_dialog
  * battstat/power-management.c: use gboolean for pm_initialised, using_upower
  * battstat: implicit conversion changes signedness: 'gboolean' to 'guint'
  * command: fix memory leak
  * charpick: fix memory leak
  * multiload: fix memory leak
  * Fix some -Wfloat-conversion warnings
  * ci: drop -Wunused-parameter compiler cflag from debian build
  * ci: build mate-panel from debian testing repo
  * geyes: consider the offset widget <-> window
  * netspeed/src/backend.c: Typo fix.
  * Remove whitespaces before #ifdef, and #endif
  * Use a blank line at most
  * Sticky Notes applet: add documentation
  * stickynotes: Popup the note menu with the keyboard
  * stickynotes: Restore note popup menu that got lost in 37a85e35448f8
  * Mate Trash applet: add accessible Atk object with proper label.
  * Mate Timer applet: add accessible Atk object with proper label.
  * Mate Sticky notes applet: enable keyboard navigation through F6
  * Mate Sticky notes applet: make dialogs accessible.
  * Mate Sticky notes applet: fix segfault when Caja is not running
  * Mate Netspeed applet: make dialog accessible.
  * Mate Netspeed applet: add accessible Atk object with proper label.
  * Mate Multiload applet: add accessible Atk object with proper label.
  * Mate Cpufreq applet: enable standard keyboard navigation
  * Mate Command applet: add accessible Atk object with proper label.
  * Mate Weather applet: make dialog accessible.
  * Charpick-applet: use GtkInvisible widget

### mate-applets 1.26.0

  * update translations

### mate-applets 1.25.3

  * update translations
  * netspeed: avoid a NULL pointer dereference
  * netspeed: allow to select an interface which is down
  * netspeed-preferences: disconnect a signal handler on finalize
  * multiload: fix typo reported by translator
  * netspeed: fix typo
  * netspeed: Add NetspeedPreferences class
  * mateweather: Remove conversion warnings
  * geyes: Remove conversion warnings
  * trashapplet: Upgrade trashapplet-empty-progress.ui
  * stickynotes: improve code-style
  * multiload: Add properties.ui
  * netspeed: connect the widget signal handlers on class_init
  * netspeed: refactor variable names
  * netspeed: NetspeedApplet subclass of MatePanelApplet
  * netspeed: fix line indent
  * netspeed: Fix display of IP if no IPv4 is configured
  * netspeed: improve display of IPv6 addresses in device details.
  * netspeed: show all ipv6 addrs in device details dialog
  * netspeed: show all IP addresses on tooltip if enabled
  * mateweather: Do not update panel when upgrade process begins
  * mateweather: Avoid NULL pointer dereferences if there is no weather info
  * mateweather: set values before connecting signals on preferences dialog
  * multiload: use guint64 as data source for graphs
  * multiload: use bit rate in netload graph
  * multiload: compute combined network data on GetNet once
  * multiload: Drop scaler from GetNet
  * multiload: fix interval on autoscaler_init call
  * multiload: Use one callback for each of the spin buttons
  * multiload: increase refresh rate range setting
  * battstat: whitespace is missing
  * netspeed: code style
  * multiload: load menu from resource bundle

### mate-applets 1.25.2

  * update translations
  * mateweather: Use common subdirs - src, data
  * netspeed: show ipv6 address in tooltip if ipv4 address is not used
  * multiload: Use common subdirs - src, data
  * stickynotes: Add stickynotes-applet-menu.xml into resource bundle
  * drivemount: Use common subdirs - data, src
  * geyes: Do not use dirent
  * geyes: define GEYES_SETTINGS_THEME_PATH_KEY & GEYES_SETTINGS_SCHEMA
  * geyes: Use g_clear_error
  * geyes: use returned value by load_theme
  * geyes: Remove duplicated NULL check
  * geyes: Use g_debug instead of printf for logging
  * geyes: format code
  * trashapplet: load menu and ui files from resource bundle
  * cpufreq: Remove /proc/cpufreq support (Linux 2.4)
  * build: Remove legacy variable MATE_ICONDIR
  * update issue template
  * update issue template
  * geyes: signal 'dispose' is invalid for instance 'ID' of type 'GtkBox'
  * remove dead function mate_panel_applet_set_background_widget
  * trashapplet: Remove warning about missing initializer
  * build: Do not define M4_FILES twice
  * ac-define-dir.m4: Remove execution bit
  * fix build warning caused by several translations
  * build: make maintainer-clean
  * drivemount: improve code-style
  * build: replace acinclude.m4 with original as-ac-expand.m4
  * timer: i18n  label
  * Cpufreq: improve code-style
  * Remove USE_MATE2_MACROS from autogen.sh (legacy)
  * charpick: improve code-style
  * timerapplet: Use common subdirs - src, data
  * battstat: improve code-style
  * mateweather: Warn about accessing an undefined property of object
  * accessx-status: improve code-style
  * multiload: improve code-style
  * accessx-status: array subscript 128 is above array bounds
  * drivemount: Load menu from resources
  * multiload: do not count shared memory twice on Linux
  * multiload: Remove legacy variable 'show_frame'
  * multiload: do not use a computed compound key for graph visibility
  * multiload: Do not get "diskload-nvme-diskstats" on GetDiskLoad
  * multiload: Remove dead function - GetPage
  * timerapplet: Use gtk_spin_button_get_value_as_int for int values

### mate-applets 1.25.1

  * update translations
  * accessx-status: add src and data folders
  * accessx-status: Simplify icons installation
  * geyes: Use common subdirs - src, icons, data
  * command: Use common subdirs - src, data
  * Remove -Wtype-limits warnings
  * netspeed: Simplify icons/Makefile.am
  * netspeed: Load netspeed-menu.xml from resources
  * netspeed: move ui files to data folder
  * battstat: Rewrite preference dialog from scratch
  * battstat: invalidScanfArgType_int cppcheck warnings (/proc/apm)
  * cpufreq: Remove warning about unreachable code reported by scan-build
  * cpufreq: -1 indicates error obtaining max frequency
  * cpufreq: Update cpufreq-preferences.ui
  * cpufreq: remove builder_DATA, ui_DATA variables from EXTRA_DIST
  * cpufreq: avoid deprecated GtkAlignment
  * cpufreq: create all needed widgets only once
  * cpufreq: fix code-style
  * geyes: Load menu from resources
  * charpick: Load menu from resources
  * cpufreq: Load menu and ui file from resources
  * multiload: Use the id instead of the name to identify the graph type
  * multiload: Display the percentage used accurately on tooltip
  * accessx-status: Load menu from resources
  * battstat: Fix memory leak
  * battstat: Reduce the dynamically allocated memory
  * battstat: Free only dynamically allocated memory
  * netspeed: remove warning about g_object_disconnect on remove it from panel
  * Netspeed kernel warning (#510)
  * netspeed: Add netspeed-details.ui
  * netspeed: fix memory leaks on backend
  * charpick: Fix memory leak reported by clang static analyzer
  * mateweather: Add mateweather-dialog.ui in POTFILES.in
  * mateweather: Add mateweather-dialog.ui
  * multiload: code formatting - global.h
  * multiload: the initialization of the variable is not really used
  * multiload: set and check the ranges for all network thresholds
  * multiload: Do not add the same global variables within all graphs
  * stickynotes: Fix -Wformat-nonliteral warning
  * multiload: Fix memory leak
  * netspeed: Use a macro for setting refresh time value
  * netspeed: Use IEC units for transfer rates
  * netspeed: add netlink support
  * Remove warning about assigned value is never used reported by cppcheck
  * battstat: warning about boolean algebra reported by cppcheck
  * Remove unused variable warning reported by cppcheck
  * command: Remove runtime warning about invalid icon size 24
  * battstat: bump upower required version and drop legacy code
  * batstatt: fix deprecated up_client_get_devices
  * Guard block is missing
  * geyes: Add themes.ui

### mate-applets 1.25.0

  * update translations
  * timerapplet: Add timerapplet-preferences.ui
  * mate-cpufreq-selector: Fix example in man page
  * command: Add command-preferences.ui
  * netspeed: Add netspeed-preferences.ui
  * charpic-about: fix DE name in about dialog
  * stickynotes: Remove enum conversion warnings
  * build: set 'enable_polkit=yes' if not given
  * cpufreq: Port client of selector service to GDBus
  * build: Remove MATEDESKTOP_CFLAGS and MATEDESKTOP_LIBS
  * build: Use dbus-glib only when required
  * Remove unused-function warnings
  * build: silent build warnings for distcheck
  * multiload: declaration of ‘screen’ shadows a previous local
  * Remove unused-variable warnings
  * stickynotes: Remove strict-prototypes warning
  * build: Remove --enable-more-warnings configure flag
  * build: Use WARN_CFLAGS variable
  * cpufreq: generate missing 256x256 and 64x64 icons from svg file
  * eyes: generate missing 256x256 and 64x64 icons from svg file
  * stickynotes: Use gresources for UI files
  * netspeed: don't define MATELOCALEDIR
  * build: drop unused matelocaledir variable
  * tx: pull with fixed translations of pt and pt_BR
  * drivemount: Remove global variable

### mate-applets 1.24.0

  * update translations
  * build: show compiler flags on configuration summary
  * drivemount: i18n of 'nothing to mount' tooltip text
  * autoconf: fix matelocaledir
  * Fix build using gcc 10 -fno-common flag

### mate-applets 1.23.1

  * update translations
  * use ${datadir}/dbus-1/system.d as the default D-Bus config dir
  * Update copyright to 2020
  * make the dbus directory configurable
  * fix redefined MATELOCALEDIR
  * migrate from intltools to gettext
  * Initialize "surface" before testing its value to avoid a crash.
  * avoid redundant redeclarations
  * build: Don't stop building when cpufreq.h isn't available
  * drivemount: remove -Wformat-nonliteral warning
  * netspeed: remove -Wunused-but-set-variable warning
  * cpufreq: remove -Wabsolute-value warning
  * build: extend --enable-more-warnings configure flag
  * Make cpufreq builds independent from kernel header version.
  * timerapplet.c: remove reductant condition
  * geyes: avoid memory leak
  * multiload: Use /proc/diskstats for NVMe drives
  * treat output as utf8 when limiting width.
  * command: use MaCommand object
  * Make command applet run commands asynchronously
  * command: use MaCommand object
  * Make command applet run commands asynchronously
  * Update FSF address

### mate-applets 1.23.0

  * update translations
  * Create FUNDING.yml
  * [ci] Add cppcheck html report
  * cpufreq: deprecated g_type_class_add_private
  * mateweather: deprecated g_type_class_add_private
  * cpufreq: support kernel 5.1.0
  * weather: align Gtk_Box to center
  * multiload: filter-out non-local disks and user mounts
  * Use g_list_free_full() convenience function
  * Fix use-after-free clang warning
  * [ci] enable clang analyzer
  * help: update copyright
  * Help: Use XInclude instead of ENTITY for legal.xml
  * assignment discards 'const' qualifier from pointer target type
  * Make translatable documenters in about dialog
  * Make translatable copyright info in about dialog
  * Ensure proper translation of the about dialog title

### mate-applets 1.22.0

  * update translations
  * Issues reported by translators
  * multiload: ignore priviledged mount points
  * disable deprecation warnings for distcheck
  * Silent output when building.
  * Support git.mk to generate .gitignore

### mate-applets 1.21.1

  * update translations
  * tx: update drivemount source for transifex
  * Use make functions for HELP_LINGUAS
  * Netspeed Manual: clean up
  * Manual: Linux and UNIX systems -> Linux and other Unix-like systems
  * tx: update sources for transifex
  * Use orderedlist to describe the steps to add the applet to a panel
  * Manual: Fix Add to Panel dialog title
  * Eyes Applet: Fix window title and factory name
  * Manual: OK -> Add (Add to Panel dialog)
  * trashapplet manual: Open Trash guimenuitem
  * Add/Update Catalan screenshots
  * transifex: update pot files:
  * Fix name of Eyes applet
  * Refer to the fstab(5) man page for more information...
  * Remove unused png files
  * Fix url of ulink to point to mate-user-guide
  * tx: update translation sources
  * Fix spelling and grammar mistakes
  * update legal.xml
  * tx: add help from applets to transifex config
  * accessx-status: fix another leak
  * Fix memory leak on accessx-status.
  * sticky-notes: fix a memory leak
  * timerapplet: Allow reseting timer when inactive
  * Avoid newly deprecated gtk_css_provider_get_default
  * Weather: apply a widget name to the textview
  * weather: add cssprovider for widget not for screen
  * mateweather-dialog.c: avoid deprecated 'gtk_widget_override_font'
  * cpufreq: stop segfault with gtk3.23
  * trash applet: avoid deprecated 'gtk_window_set_wmclass'
  * cpufreq: fix a -Wimplicit-function-declaration
  * trash: fix a -Wincompatible-pointer-types warning
  * weather-applet: replace deprecated GtkAlignment
  * weather-dialog: replace deprecated GtkAlignment
  * weather-prefs: replace deprecated gtk_alignment_new
  * stickynotes: replace deprecated gdk_error_trap_push/pop functions
  * cpu-freq: replace deprecated gtk_menu_popup
  * sticknotes: replace deprecated gtk_menu_popup
  * drivemount: replace deprecated gtk_menu_popup
  * charpick: replace deprecated gtk_menu_popup

### mate-applets 1.21.0

  * Translations update
  * Cpufreq: Force the frequency label to render if frequencies are not found right away
  * Cpufreq: Refactor to remove more GTK2 leftovers
  * Cpufreq: ensure frequency label always shows up if freq selected
  * accessx: Convert icons from pixbuf to cairo surfaces
  * netspeed: Use theme icons instead of embedded
  * battstat: Load theme icons instead of pixmaps
  * Convert applet icons from pixbuf to surfaces
  * solving type mismatch in g_settings_set_value
  * only text formatting to prepare for real change
  * Fix cpufreq applet spacing on HiDPI displays
  * multiload: add style class multiload-applet
  * avoid deprecated GtkStock

### mate-applets 1.20.0

  * Translations update
  * require GTK+ 3.22 and GLib 2.50
  * multiload: Scaling network graph using thresholds defined by user
  * multiload: fix tabs/spaces mix in more places
  * multiload: fix spacing in some places
  * multiload: remove some unneeded spaces
  * Revert "Added logic to not send notification if weather update is equal
  * Revert "If location changes, abort any outstanding weather updates"
  * weather: fix possible crash when opening prefs dialog

### mate-applets 1.19.4

  * Translations update
  * drop broken invest-applet and all Python dependencies
  * update copyright year to 2018
  * Fix build warnings: ignoring return value of ‘fgets’,

### mate-applets 1.19.3

  * Translations update
  * command: bump range of interval
  * WidthOfScreen and HeightOfScreen implementation
  * build: when gtksourceview isn't found, show this package name
  * Cpufreq: Update tooltips with latest values
  * Cpufreq: fix a build warning
  * Cpufreq: stop jumping numbers moving units label
  * mateweather: update copyright year
  * update copyright year in other applets
  * netspeed: update copyright year

### mate-applets 1.19.2

  * Translations update
  * Rounding error in draw corrected.
  * cpufreq: fix calculating max width of frequency/unit/percent labels
  * stickynotes: fix text selection
  * cpufreq: refresh applet size on style change (e.g. font size)
  * GSettings change recognized dynamically

### mate-applets 1.19.1

  * Translations update
  * GSettings for checkmark color shown for mounted volumes.
  * cpufreq: fix random invisibility of the applet
  * Mounted drives will show a little bit different icon.
  * gtk 3.22: avoid deprecated gdk_screen_get_monitor... functions:
  * README: remove link to mailing list, do some cleanup
  * Get rid of misleading_indentation and maybe-uninitialized warnings during build
  * avoid deprecated gdk_screen_width/height
  * avoid deprecated gdk_screen_get_width/height
  * Revert "weather-prefs: correct help link for testing"
  * all applets: don't use deprecated gtk_show_uri
  * add new digital theme

### mate-applets 1.19.0

  * drivemount: fix a build warning
  * Translations update
  * cpufreq-prefs: don't use deprecated gtk_show_uri
  * bump libmateweather requirement to 1.19.1
  * weather: If location changes, abort any outstanding weather updates
  * weather: Added logic to not send notification if weather update is equal
    (as decided by weather_info_equal ()) to the previous update
  * avoid deprecated gdk_screen_get_number
  * drivemount: If the list is empty, it will show media-floppy icon
  * stickynotes: reword previous commit a bit and don't leak dir name
  * stickynotes: create parent dir for "stickynotes-applet.xml" if it does not exist.
  * Restore Polish translation credits from GNOME
  * Load graph scales automatically according to average load
  * trashapplet: remove unused code
  * cpufreq: set frequency on all cores
  * Fix GError memory leak
  * Fix for crasher in Command applet.

### mate-applets 1.18.0

  * NEWS: use consistent, project wide, markdown-like formatting
    to make generating release announcements easier
  * Build: require libmateweather and mate-panel >= 1.17
  * Move to GTK+3 (require GTK+ >= 3.14), drop GTK+2 code and
    --with-gtk build option
  * Weather: fix temperature label placement
  * Weather: show proper help section for each tab of prefs dialog
  * Fix some GTK+ deprecations and runtime warnings
  * Some code cleanups
  * Translations update

### mate-applets 1.16.0

  * Build: require polkit 0.97
  * Use GtkAboutDialog instead of MateAboutDialog
  * Netspeed: use GtkColorButton/GtkColorChooser
  * Drop dependency on libmate-desktop
  * GTK+3: fix various deprecations
  * Some code cleanups
  * Translations update

### mate-applets 1.14.1

  * Accessx-status: fix possible crash when updating layout
  * Cpufreq: fix build with kernel 4.7
  * Cpufreq: make build options --enable-frequency-selector
    and --enable-suid actually work
  * Netspeed: fix default route
  * Some more fixes and cleanups
  * Translations update
  * Make distcheck use currently selected GTK+ version

### mate-applets 1.14.0

  * Drop MateConf migration scripts
  * Drop null_applet which isn't even buildable these days
  * Re-license command and timer applets under GPL-2+
  * Merge netspeed applet from mate-netspeed project (and discontinue
    that project)
  * GTK+3: fix cpufreq applet rendering
  * GTK+3: fix setting fg/bg colors and font type in stickynotes applet
  * GTK+3: fix several deprecations
  * Some more fixes and cleanups
  * Translations update
  * Fix Changelog generation

### mate-applets 1.12.1

  * Drivemount: fix invisible text with some GTK+3 themes
  * Translations update

### mate-applets 1.12.0

  * Accessx-status, geyes: have applet background automatically painted
  * Cpufreq: make cpupower the default library
  * Retrieve strings directly from gschema (requires intltool 0.50.1)
  * Drop useless dependency on mate-icon-theme
  * GTK+3: fix missing icons with custom icon theme
  * GTK+3: make cpufreq, charpick and drivemount support custom panel themes
  * Some more GTK+3 fixes
  * Several small fixes and cleanups

### mate-applets 1.10.3

  * Several small help fixes
  * Rename sticky-notes help directory

### mate-applets 1.10.2

  * Charpick, geyes: restore missing button icons in dialogs
  * Actually install manpages on make install
  * Multiple help fixes in several applets

### mate-applets 1.10.1

  * Battstat applet: fix NetBSD APM support
  * Invest applet: display proper icon in About dialog
  * Multiple help fixes in several applets
  * GTK+3 fixes

### mate-applets 1.10.0

  * Use MateAboutDialog from libmate-desktop.

### mate-applets 1.8.0

  * Move from mate-doc-utils to yelp-tools.
  * Replace libmatewnck with gnome's libwnck.
  * Replace mucharmap in with gucharmap.
  * Add Gtk+3 support.
  * New command applet that displays output from a command.
  * Replace broken timer applet with new applet written in C.
  * Serveal enhancement to invest-applet.
  * Remove broken modem-light applet.

### mate-applets 1.5.0

  * Migration to GSettings
  * Update to latest libmatepanelapplet-4.0
  * Mixer applet moved to mate-media
  * Timer applet is not migrated yet
